%define upstream_name Sys-Hostname-Long
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Try every conceivable way to get full hostname
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SC/SCOTT/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
How to get the host full name in perl on multiple operating systems.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sys/Hostname/*
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.500.0-6.mga9
+ Revision: 1805894
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.500.0-5.mga8
+ Revision: 1497257
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.500.0-4.mga7
+ Revision: 1271403
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1033592
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 968215
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 851582
- update to 1.5
- update to

* Sun Jun 28 2015 sander85 <sander85> 1.4-12.mga6
+ Revision: 847063
- update to

* Wed Oct 15 2014 umeabot <umeabot> 1.4-12.mga5
+ Revision: 751203
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-11.mga5
+ Revision: 686284
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-10.mga4
+ Revision: 514785
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-9.mga3
+ Revision: 372943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.4-8.mga1
+ Revision: 31196
- mageia rebuild
- imported package perl-Sys-Hostname-Long


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4-8mdv2010.1
+ Revision: 426591
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.4-7mdv2009.1
+ Revision: 351718
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4-6mdv2009.0
+ Revision: 224060
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-5mdv2008.1
+ Revision: 180574
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.4-4mdv2008.0
+ Revision: 67519
- rebuild


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:02:48 (54131)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:01:27 (54130)
Import perl-Sys-Hostname-Long

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdk
- remove win32 calls

* Mon Oct 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.4-1mdk
- Initial Mandriva release.

